org.eclipse.eef.properties.ui.legacy.internal.eef2legacy

## Class LegacyTabDescriptor

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.eef2legacy.LegacyTabDescriptor

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ITabDescriptor, org.eclipse.ui.views.properties.tabbed.ITabItem

    public class LegacyTabDescriptor
    extends java.lang.Object
    implements org.eclipse.ui.views.properties.tabbed.ITabDescriptor

Wraps an `IEEFTabDescriptor` to a `ITabDescriptor`.

### Field Summary

### Fields inherited from interface org.eclipse.ui.views.properties.tabbed.ITabDescriptor

`TOP`

### Constructor Summary

Constructors
Constructor and Description
`LegacyTabDescriptor(IEEFTabDescriptor eefTabDescriptor)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.ui.views.properties.tabbed.TabContents` `createTab()`
`java.lang.String` `getAfterTab()`
`java.lang.String` `getCategory()`
`java.lang.String` `getId()`
`org.eclipse.swt.graphics.Image` `getImage()`
`java.lang.String` `getLabel()`
`java.util.List` `getSectionDescriptors()`
`java.lang.String` `getText()`
`boolean` `isIndented()`
`boolean` `isSelected()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyTabDescriptor

    public LegacyTabDescriptor(IEEFTabDescriptor eefTabDescriptor)

The constructor.

Parameters:
  `eefTabDescriptor` - EEF tab descriptor

### Method Detail

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.ui.views.properties.tabbed.ITabItem`
See Also:
  `ITabItem.getImage()`

#### getText

    public java.lang.String getText()

Specified by:
  `getText` in interface `org.eclipse.ui.views.properties.tabbed.ITabItem`
See Also:
  `ITabItem.getText()`

#### isSelected

    public boolean isSelected()

Specified by:
  `isSelected` in interface `org.eclipse.ui.views.properties.tabbed.ITabItem`
See Also:
  `ITabItem.isSelected()`

#### isIndented

    public boolean isIndented()

Specified by:
  `isIndented` in interface `org.eclipse.ui.views.properties.tabbed.ITabItem`
See Also:
  `ITabItem.isIndented()`

#### createTab

    public org.eclipse.ui.views.properties.tabbed.TabContents createTab()

Specified by:
  `createTab` in interface `org.eclipse.ui.views.properties.tabbed.ITabDescriptor`
See Also:
  `ITabDescriptor.createTab()`

#### getAfterTab

    public java.lang.String getAfterTab()

Specified by:
  `getAfterTab` in interface `org.eclipse.ui.views.properties.tabbed.ITabDescriptor`
See Also:
  `ITabDescriptor.getAfterTab()`

#### getCategory

    public java.lang.String getCategory()

Specified by:
  `getCategory` in interface `org.eclipse.ui.views.properties.tabbed.ITabDescriptor`
See Also:
  `ITabDescriptor.getCategory()`

#### getId

    public java.lang.String getId()

Specified by:
  `getId` in interface `org.eclipse.ui.views.properties.tabbed.ITabDescriptor`
See Also:
  `ITabDescriptor.getId()`

#### getLabel

    public java.lang.String getLabel()

Specified by:
  `getLabel` in interface `org.eclipse.ui.views.properties.tabbed.ITabDescriptor`
See Also:
  `ITabDescriptor.getLabel()`

#### getSectionDescriptors

    public java.util.List getSectionDescriptors()

Specified by:
  `getSectionDescriptors` in interface `org.eclipse.ui.views.properties.tabbed.ITabDescriptor`
See Also:
  `ITabDescriptor.getSectionDescriptors()`